enum UserSort {
  UPDATED_AT_ASC
  UPDATED_AT_DESC
}

type UserConnection {
  totalCount: Int!
  pageInfo: PageInfo!
  edges: [UserEdge]
}

type UserEdge {
  cursor: String!
  node: User
}

type User implements Node {
  id: ID!
  metadata: ResourceMetadata!
  username: String!
  email: String!
  admin: Boolean!
  active: Boolean!
  scimExternalId: String
  memberships(
    after: String
    before: String
    first: Int
    last: Int
  ): MembershipConnection!
  teams(
    after: String
    before: String
    first: Int
    last: Int
    sort: TeamSort
  ): TeamConnection!
  releases(
    after: String
    before: String
    first: Int
    last: Int
    sort: ReleaseSort
  ): ReleaseConnection!
  activityEvents(
    after: String
    before: String
    first: Int
    last: Int
    organizationId: String
    projectId: String
    timeRangeStart: Time
    timeRangeEnd: Time
    actions: [ActivityEventAction!]
    targetTypes: [ActivityEventTargetType!]
    sort: ActivityEventSort
  ): ActivityEventConnection!
  todoItems(
    after: String
    before: String
    first: Int
    last: Int
    organizationId: String
    projectId: String
    resolved: Boolean
    targetTypes: [ToDoItemTargetType!]
    sort: ToDoItemSort
  ): ToDoItemConnection!
}
